#!/usr/bin/bash

# eugene
# 2025.02.01

# Скрипт вызывается сервисом docker_scan_login
# Сервис запускается после авторизации пользователя
# Для загрузки окружения пользователя и старта всех сервисов необходимо время,
#   поэтому данный скрипт запускает выполнение скрипта docker_s_scan_login_delay.sh
#   и не дожидается его выполнения (необходимо для того, чтобы сервис стартовал быстро),
#   а в запускаемом скрипте docker_s_scan_login_delay.sh реализована задержка
#   как раз и необходимая для того, чтобы перед сканированием все системы успели загрузиться

source /usr/sbin/docker_s_scanners.sh

func_echo_info_simple "Сканирование после авторизации пользователя начато" "$LOG_FILE_NAME_FULL"

/usr/sbin/docker_s_scan_login_delay.sh &